Bug 28802 - Untranslatable strings in browser.js
Summary: Untranslatable strings in browser.js
Status: Pushed to oldoldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Fridolin Somers
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on: 25321
Blocks:
  Show dependency treegraph
 
Reported: 2021-08-03 07:10 UTC by Fridolin Somers
Modified: 2021-09-08 02:38 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.03,20.11.10,20.05.16,19.11.22


Attachments
Bug 28802: Untranslatable strings in browser.js (896 bytes, patch)
2021-08-03 09:07 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 28802: Untranslatable strings in browser.js (947 bytes, patch)
2021-08-03 11:06 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28802: Untranslatable strings in browser.js (1002 bytes, patch)
2021-08-17 13:13 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 28802: Fix Asset.t (963 bytes, patch)
2021-08-18 14:26 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2021-08-03 07:10:30 UTC
File koha-tmpl/intranet-tmpl/js/browser.js is not parsed by translation process, which uses koha-tmpl/intranet-tmpl/prog/js/**/*.js
We must move it to prog/js.
Comment 1 Jonathan Druart 2021-08-03 08:33:34 UTC
Caused by:
  commit 5fa99d7d59ffe65a3533c79a637b50f04e904736
  Bug 25321: Move translatable strings out of strings.inc into the corresponding JavaScript
Comment 2 Fridolin Somers 2021-08-03 09:07:04 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2021-08-03 11:06:57 UTC Comment hidden (obsolete)
Comment 4 Tomás Cohen Arazi 2021-08-17 13:13:00 UTC
Created attachment 123875 [details] [review]
Bug 28802: Untranslatable strings in browser.js

File koha-tmpl/intranet-tmpl/js/browser.js is not parsed by translation
process, which uses koha-tmpl/intranet-tmpl/prog/js/**/*.js
We must move it to prog/js.

Test plan :
1) Perform a search on staff interface
2) Click on a result
3) Check you see records browser

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 5 Jonathan Druart 2021-08-18 12:50:32 UTC
Shouldn't we actually move all the JS files to koha-tmpl/intranet-tmpl/prog/js?
Comment 6 Jonathan Druart 2021-08-18 13:36:39 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 7 Jonathan Druart 2021-08-18 14:26:11 UTC
Created attachment 123962 [details] [review]
Bug 28802: Fix Asset.t
Comment 8 Jonathan Druart 2021-08-18 14:31:43 UTC
(In reply to Jonathan Druart from comment #7)
> Created attachment 123962 [details] [review] [review]
> Bug 28802: Fix Asset.t

Patch pushed to master.
Comment 9 Fridolin Somers 2021-08-19 06:54:36 UTC
(In reply to Jonathan Druart from comment #5)
> Shouldn't we actually move all the JS files to
> koha-tmpl/intranet-tmpl/prog/js?

I think yes but I can not confirm.
Comment 10 Kyle M Hall 2021-08-20 16:41:14 UTC
Pushed to 21.05.x for 21.05.03
Comment 11 Fridolin Somers 2021-08-27 18:57:15 UTC
Pushed to 20.11.x for 20.11.10
Comment 12 Victor Grousset/tuxayo 2021-08-31 04:29:20 UTC
Backported: Pushed to 20.05.x branch for 20.05.16
Comment 13 wainuiwitikapark 2021-09-07 01:54:37 UTC
Should this be backported to 19.11.x for 19.11.22?
Comment 14 Victor Grousset/tuxayo 2021-09-07 22:44:50 UTC
Even if the severity is "normal" I backported it since it's about translation and it applied without issues. I do that with accessibility stuff also. Your call if you feel backporting some additional things those.
Comment 15 wainuiwitikapark 2021-09-08 02:38:37 UTC
Backported to 19.11.x for 19.11.22